SWDTeam Forums

Welcome to the SWDTeam forums. Enjoy your stay!, Thank you for being part of our community!

Can't join DMU

Alright, this is confusing. When I try to log in to DMU, I get this:

Connection Lost

 

Server Mod Rejections:

The Dalek Mod: Requires version (Update 47 13.47.0.6) but client has (Update 48.0).

I thought the server updated to 48... Now I can't access DMU

Just download u47 here: https://www.mediafire.com/file/f40o3fpiv59q6sg/Dalek+Mod-Update+47.5.jar

You must be logged in to post.

Contact us

support@swdteam.com